package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.cisco.EpgModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.sfc.AgileEpgModel;

import java.util.List;

public interface EpgProvider extends SuperProvider {
    default BocloudResult create(EpgModel model) {
        return new BocloudResult(false, "need implement");
    }

    public BocloudResult<?> remove(String dn);

    default BocloudResult<List<AgileEpgModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEpgModel> create(AgileEpgModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEpgModel> modify(AgileEpgModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEpgModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}
